Bug 1288794 - XDG_RUNTIME_DIR not found, even though bash knows what it is.
XDG_RUNTIME_DIR not found, even though bash knows what it is.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 20:26 EST by Peter Trenholme
Modified: 2017-07-18 10:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-18 10:02:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Trenholme 2015-12-05 20:26:06 EST
Description of problem: When started from a KDM terminal window (plasma not running for some unknown reason), KDE applications claim that the runtime directory is undefined.

An example:
$ krusader 
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x60000d0
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QWidget::setLayout: Attempting to set QLayout "" on KateMDI::ToolView "", which already has a layout
QWidget::setLayout: Attempting to set QLayout "" on KateMDI::ToolView "", which already has a layout
Service started, version: 6.2.0
Service started, version: 6.2.0
krusader(3397): Couldn't start kuiserver from kuiserver.desktop:  "Could not find service 'kuiserver.desktop'." 
QDBusObjectPath: invalid path ""
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QWidget::setLayout: Attempting to set QLayout "" on KateMDI::ToolView "", which already has a layout
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QWidget::setLayout: Attempting to set QLayout "" on KateMDI::ToolView "", which already has a layout
=========================================
And from bash:
$ echo $XDG_RUNTIME_DIR
/run/user/1000       

Version-Release number of selected component (if applicable): Latest rawhide

How reproducible: Almost always

Step to Reproduce: Start a KDE app from a terminal window

Actual results: See "description," above

Expected results: XDG_RUNTIME_DIR correctly set

Additional info: For some time now - a couple of weeks or more, my "Rawhide" KDE
plasma shell has started, but failed to properly start. (It runs, but the kwin workspaces are all entirely blank except for a terminal window that I autostart.

My assumption is that I've messed something up, and I've been trying to figure it out in my spare time. I just noticed this problem, and now I'm wondering if
my plasma problem might be deeper than I thought . . .

Oh, for what it's worth GNOME seems to work flawlessly.
Comment 1 Jan Kurik 2016-02-24 09:06:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Ngo Than 2017-07-18 10:02:32 EDT
i cannot reproduce this issue in f25/f26. F24 will reach EOL very soon and we just avoid update kde/qt to new versions in f24. So i strong recommend the update to latest fedora release.

Thanks

Note You need to log in before you can comment on or make changes to this bug.